Data Structure Versions
Retrieves the specified data structure version (or 'latest') with enrichment for the current user.
Path parameters
data_structure_idintegerRequired
Data structure ID
idstringRequired
Version (number or 'latest')
Responses
200
Data structure version
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
404
Not found
application/json
422
Unprocessable Entity
application/json
500
Internal Server Error
application/json
get/api/data_structures/{data_structure_id}/versions/{id}
GET /api/data_structures/{data_structure_id}/versions/{id} HTTP/1.1
Accept: */*
{
"data": {
"external_id": "ds_customer_email",
"group": "Group1",
"id": 123,
"name": "customer_email",
"system": {
"id": 1,
"name": "System1"
},
"type": "table",
"version": 1
}
}Retrieves the data structure version identified by its version ID, including enrichment for the current user.
Path parameters
idintegerRequired
Data structure version ID
Responses
200
Data structure version
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
404
Not found
application/json
422
Unprocessable Entity
application/json
500
Internal Server Error
application/json
get/api/data_structure_versions/{id}
GET /api/data_structure_versions/{id} HTTP/1.1
Accept: */*
{
"data": {
"external_id": "ds_customer_email",
"group": "Group1",
"id": 123,
"name": "customer_email",
"system": {
"id": 1,
"name": "System1"
},
"type": "table",
"version": 1
}
}Last updated